//
//  PurchaseNoticeCell.m
//  XFFruit
//
//  Created by mac on 15/8/18.
//  Copyright (c) 2015年 Xummer. All rights reserved.
//

#import "PurchaseNoticeCell.h"
#define TitleSize 17
#define LeftMargin 15
#define TableHeight 46
#define TableWidth 60
#define LeftWidth 40
#define RightWidth 30

@implementation PurchaseNoticeCell

- (instancetype)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier{
    
    self =  [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self) {
        self.isSelected=NO;
        [self initdata];
        [self bulidLayout];
    }
    return self;
}
-(void)initdata
{
     self.packageSpecification=[[UILabel alloc]init];//包装规格
     self.packageQuantity=[[UILabel alloc]init];;//包装数量
     self.packageUnit=[[UILabel alloc]init]; ;//包装单位
     self.foundationQuantity=[[UILabel alloc]init];;//基础数量
     self.foundationUnitPrice=[[UILabel alloc]init];;//基础单价
     self.packageUnitPrice=[[UILabel alloc]init];;//包装单价
     self.totalMoney=[[UILabel alloc]init];;//总金额
     self.remark=[[UILabel alloc]init];;//备注
    self.shopDetailAry1=[NSArray arrayWithObjects: self.packageSpecification, self.foundationQuantity ,self.packageUnitPrice,self.remark,nil];
     self.shopDetailAry2=[NSArray arrayWithObjects: self.packageQuantity, self.foundationUnitPrice ,self.totalMoney,nil];
}
- (void)bulidLayout
{
    CGFloat gipWidth = (ScreenSize.width-4*TableWidth-(LeftMargin+20)-RightWidth)/3;
    self.HeardLabel=[[UILabel alloc]initWithFrame:(CGRectMake(LeftMargin, 0, ScreenSize.width - LeftMargin * 2, 1))];
    self.HeardLabel.backgroundColor = HexColor(@"e5e5e5");
    self.HeardLabel.font = FontSize(TitleSize);
    
    self.FootLabel=[[UILabel alloc]initWithFrame:(CGRectMake(LeftMargin, self.size.height-1, ScreenSize.width - LeftMargin * 2, 1))];
    self.FootLabel.backgroundColor = HexColor(@"e5e5e5");
    self.FootLabel.font = FontSize(TitleSize);
    
    self.arrowView=[[UIImageView alloc]initWithFrame:CGRectMake(LeftMargin, (TableHeight - 10)/2 , 10, 10)];
    self.arrowView.image = [UIImage imageNamed:@"arrowright"];
    self.arrowView.contentMode = UIViewContentModeScaleAspectFit;
    
    self.SpLabel = [[UILabel alloc]initWithFrame:(CGRectMake(LeftMargin+20, 0, TableWidth, TableHeight))];
    self.SpLabel.textAlignment= NSTextAlignmentLeft;
    self.SpLabel.textColor = HexColor(@"666666");
    self.SpLabel.font = FontSize(TitleSize);
    
    self.DjLabel = [[UILabel alloc]initWithFrame:(CGRectMake(LeftMargin+20+self.SpLabel.size.width+gipWidth , 0,  TableWidth,TableHeight ))];
    self.DjLabel.textAlignment= NSTextAlignmentLeft;
    self.DjLabel.textColor = HexColor(@"666666");
    self.DjLabel.font = FontSize(TitleSize);
    
    self.BzggLabel=[[UILabel alloc]initWithFrame:CGRectMake(self.DjLabel.frame.origin.x+self.DjLabel.size.width+gipWidth, 0, TableWidth, TableHeight)];
    self.BzggLabel.textAlignment= NSTextAlignmentLeft;
    self.BzggLabel.textColor = HexColor(@"666666");
    self.BzggLabel.font = FontSize(TitleSize);
    
    self.BzslLabel=[[UILabel alloc]initWithFrame:CGRectMake(self.BzggLabel.frame.origin.x+self.BzggLabel.size.width+gipWidth, 0, TableWidth, TableHeight)];
    self.BzslLabel.textAlignment= NSTextAlignmentLeft;
    self.BzslLabel.textColor = HexColor(@"666666");
    self.BzslLabel.font = FontSize(TitleSize);
    
//    self.SpLabel.text=@"1 西瓜";
//    self.DjLabel.text=@"0.8";
//    self.BzggLabel.text=@"1*12";
//    self.BzslLabel.text=@"100框";
    self.subSview=[[UIView alloc]initWithFrame:CGRectMake(0, 50, ScreenSize.width, TableHeight*3)];
    
   
    
    NSArray*array=[NSArray arrayWithObjects:@"包装规格:",@"基础数量:" ,@"包装单价:",@"备注:",nil];
    NSArray*array1=[NSArray arrayWithObjects:@"包装数量:",@"基础单价:" ,@"总金额:",nil];
    
    
    for (int i=0; i<array.count; i++) {
        UILabel *lable=[[UILabel alloc]init];
//        if (i==0) {
            lable.frame=CGRectMake(LeftWidth, i*(10+10), (ScreenSize.width-2*LeftMargin)/4, 10);
//        }
              lable.text=[array objectAtIndex:i];
        lable.font=FontSize(TitleSize-2);
        [lable setTextColor:HexColor(@"444444")];
       
        [self.subSview addSubview:lable];
        UILabel*shopeLable= [self.shopDetailAry1 objectAtIndex:i];
        if (i==3) {
            shopeLable.frame=CGRectMake(lable.frame.origin.x+lable.frame.size.width-LeftMargin, lable.frame.origin.y,(ScreenSize.width-2*LeftMargin)/4*3, 10);
        }else{
             shopeLable.frame=CGRectMake(lable.frame.origin.x+lable.frame.size.width-LeftMargin, lable.frame.origin.y,(ScreenSize.width-2*LeftMargin)/4, 10);
        }
       
        shopeLable.font=FontSize(TitleSize-2);
        [shopeLable setTextColor:HexColor(@"444444")];
//        shopeLable.backgroundColor=[UIColor redColor];
        [self.subSview addSubview:shopeLable];
    }
    for (int i=0; i<array1.count; i++) {
        UILabel *lable=[[UILabel alloc]initWithFrame:CGRectMake(ScreenSize.width/2, i*(10+10), (ScreenSize.width-2*LeftMargin)/4, 10)];
       
        lable.text=[array1 objectAtIndex:i];
        lable.font=FontSize(TitleSize-2);
        [lable setTextColor:HexColor(@"444444")];
        
        [self.subSview addSubview:lable];
        UILabel*shopeLable= [self.shopDetailAry2 objectAtIndex:i];
        shopeLable.frame=CGRectMake(lable.frame.origin.x-LeftMargin+lable.frame.size.width, lable.frame.origin.y,(ScreenSize.width-2*LeftMargin)/4, 10);
        shopeLable.font=FontSize(TitleSize-2);
        [shopeLable setTextColor:HexColor(@"444444")];
//        shopeLable.backgroundColor=[UIColor redColor];
        [self.subSview addSubview:shopeLable];
    }
    self.subSview.hidden=YES;
    
    self.button=[UIButton buttonWithType:UIButtonTypeCustom];
    [self.button setFrame:CGRectMake(ScreenSize.width-50, 0, 50, 50)];
    [self.button setImage:[UIImage imageNamed:@"edit"] forState:UIControlStateNormal];
    [self.contentView addSubview:self.button];
     [self.contentView addSubview:self.subSview];
    [self.contentView addSubview:self.SpLabel];
    [self.contentView addSubview:self.DjLabel];
    [self.contentView addSubview:self.BzslLabel];
    [self.contentView addSubview:self.BzggLabel];
    [self.contentView  addSubview:self.HeardLabel];
    [self.contentView addSubview:self.arrowView];
//    [self.contentView  addSubview:self.FootLabel];
}
- (void)setTitleStr:(NSString *)str

{
  
   
   
    }
- (void)awakeFromNib {
    // Initialization code
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

@end
